using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
using ExamModel.Auto_Generated_Code;
using ExamDAL.Auto_Generated_Code;

namespace ExamDAL.Auto_Generated_Code
{
    public class RoleServices
    {


        //ȡϵб
        public static DataSet GetRoleList()
        {
            string sql = "select * from Role";
            return DBHelp.GetDataSet(sql);
        }

        //ͨIDýɫ
        public static Role GetRoleById(int id)
        {
            string sql = "select * from Role where RoleID=@id";
            try
            {
                OleDbDataReader reader = DBHelp.GetReader(sql, new OleDbParameter("@id", id));
                if (reader.Read())
                {
                    Role role = new Role();
                    role.RoleID = (int)reader["RoleID"];
                    role.RoleName = (string)reader["RoleName"];
                    reader.Close();
                    return role;
                }
                else
                {
                    reader.Close();
                    return null;

                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                return null;
            }
        }
        //нɫ
        public static IList<Role> GetAllRole()
        {
            string sql = "select * from Role";
            return GetRoleBySql(sql);

        }
        //ͨsqlѯ
        public static IList<Role> GetRoleBySql(string safeSql)
        {
            List<Role> list = new List<Role>();
            using (DataSet table = DBHelp.GetDataSet(safeSql))
            {
                foreach (DataRow row in table.Tables[0].Rows)
                {
                    Role role = new Role();
                    role.RoleID = (int)row["RoleID"];
                    role.RoleName = (string)row["RoleName"];
                    list.Add(role);
                }
                return list;
            }
        }
    }
}
