﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
using System.Configuration;

//该源码下载自www.51aspx.com(５１ａｓｐｘ．ｃｏｍ)

namespace ExamDAL
{
    public class DBHelp
    {
        private static OleDbConnection connection;
        public static OleDbConnection Connection
        {
            get
            {
                //string strPath="F:\\在线考试系统\\DB\\ExamOnline.mdb";
                string strPath = "E:\\downCode\\ExamOnline\\DB_51aspx\\ExamOnline.mdb";
                string connectionString = "Provider=Microsoft.Jet.OleDb.4.0;Data source="+strPath;
                if (connection == null)
                {
                    connection = new OleDbConnection(connectionString);
                    connection.Open();
                }
                else if (connection.State == System.Data.ConnectionState.Closed)
                {
                    connection.Open();

                }
                else if (connection.State == System.Data.ConnectionState.Broken)
                {
                    connection.Close();
                    connection.Open();
                }
                return connection;

            }
        }
        //ExecuteCommand sql语句方法
        public static int ExecuteCommand(string safeSql)
        {
            OleDbCommand cmd = new OleDbCommand(safeSql, Connection);
            int result = cmd.ExecuteNonQuery();
            return result;
        }
        //ExecuteCommand sql语句方法＋参数形式
        public static int ExecuteCommand(string sql, params OleDbParameter[] values)
        {
            OleDbCommand cmd = new OleDbCommand(sql, Connection);
            cmd.Parameters.AddRange(values);
            return cmd.ExecuteNonQuery();
        }






        //GetReader sql语句方法
        public static OleDbDataReader GetReader(string safeSql)
        {
            OleDbCommand cmd=new OleDbCommand(safeSql,Connection);
            OleDbDataReader reader = cmd.ExecuteReader();
            return reader;
        }
        //GetReader sql语句方法＋参数形式 
        public static OleDbDataReader GetReader(string sql, params OleDbParameter[] values)
        {
            OleDbCommand cmd = new OleDbCommand(sql, Connection);
            cmd.Parameters.AddRange(values);
            OleDbDataReader reader = cmd.ExecuteReader();
            return reader;
        }







        //GetDataSet  sql语句方法
        public static DataSet GetDataSet(string safesql)
        {
            DataSet ds = new DataSet();
            OleDbCommand cmd = new OleDbCommand(safesql, Connection);
            OleDbDataAdapter da = new OleDbDataAdapter(cmd);
            da.Fill(ds);
            return ds;

        }
    }
}
