﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ExamBLL.Auto_Generated_Code;
using ExamModel.Auto_Generated_Code;
using ExamDAL.Auto_Generated_Code;

public partial class Admin_Admin_CourseAdd : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            User user = (User)Session["user"];
            if (user != null)
            {
                InitDDLData();
            }
            else
            {
                Response.Redirect("~/Login.aspx");//转向考试界面
            }
        }
    }
    //添加考试科目事件
    protected void BtnSave_Click(object sender, EventArgs e)
    {
        int DepartmentID = DepartMentDDlSource.SelectedIndex + 1;
        if (Page.IsValid)
        {
            Course course = new Course();
            course.DepartmentID =DepartmentManager.GetDepartmentById(DepartmentID);
            course.CName = txtName.Text;
            if (CourseManager.AddCourse(course))
            {
                lblMesage.Text = "成功添加考试科目";
            }
            else
            {
                lblMesage.Text = "添加该考试科目失败";
            }

        }
    }

    //初始化系
    protected void InitDDLData()
    {

        DataSet ds = DepartmentManager.QueryDepartment();       //查询系信息
        DepartMentDDlSource.DataSource = ds;                    //绑定数据源
        DepartMentDDlSource.DataTextField = "DepartmentName";   //DataTextField显示Name字段值
        DepartMentDDlSource.DataValueField = "DepartmentID";    //DataValueField显示ID字段值
        DepartMentDDlSource.DataBind();                         //绑定数据

    }
}
