﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ExamModel.Auto_Generated_Code;
using ExamBLL.Auto_Generated_Code;
//5-1-a-s-px
public partial class Admin_admin_FillBlankLists : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            User user = (User)Session["user"];
            if (user != null)
            {
                InitDDLData();
            }
            else
            {
                Response.Redirect("~/Login.aspx");//转向考试界面
            }   

        }
    }
    //初始化考试科目
    protected void InitDDLData()
    {
        DataSet ds = CourseManager.QueryCourse();
        ddlCourse.DataSource = ds;
        ddlCourse.DataTextField = "CourseName";
        ddlCourse.DataValueField = "CourseID";
        ddlCourse.DataBind();
        GridViewBind();
    }
    ////显示选择科目的单选题
    protected void ddlCourse_SelectedIndexChanged1(object sender, EventArgs e)
    {
        GridViewBind();//为GridView绑定数据
    }
    //GridView控件绑定数据事件
    protected void GridViewBind()
    {
        Course course = CourseManager.GetCourseByString(this.ddlCourse.SelectedItem.Text.Trim());
        DataSet ds = FillBlankProblemManager.GetFillBlankByCoursename(course);
        GridView1.DataSource = ds.Tables[0].DefaultView;
        GridView1.DataBind();     //绑定数据


    }
    //触发删除事件
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        int fillProID = int.Parse(GridView1.DataKeys[e.RowIndex].Values[0].ToString());
        if (FillBlankProblemManager.DeleteFillBlankById(fillProID))
        {
            Response.Write("<script language=javascript>alert('成功删除试题！')</script>");
        }
        else
        {
            Response.Write("<script language=javascript>alert('删除试题失败！')</script>");
        }
        GridView1.EditIndex = -1;
        GridViewBind();   //重新绑定数据
    }
    //删除多条记录

    protected void Button1_Click(object sender, EventArgs e)
    {
        foreach (GridViewRow dr in GridView1.Rows)//对GridView中的每一行进行判断
        {
            if (((CheckBox)dr.FindControl("xuanze")).Checked)
            {
                int fillProId = int.Parse(((Label)dr.FindControl("Label1")).Text);
                FillBlankProblemManager.DeleteFillBlankById(fillProId);
             
            }
        }
        GridViewBind();   //重新绑定数据
    }
}
