﻿using System;
using System.Data;
using System.Data.OleDb;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ExamBLL.Auto_Generated_Code;
using ExamDAL.Auto_Generated_Code;
using ExamModel.Auto_Generated_Code;

public partial class Admin_admin_PaperSetup : System.Web.UI.Page
{
    DataTable dt = new DataTable();
    int afterID;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            
        }
    }
    

    protected void Button1_Click(object sender, EventArgs e)
    {
        Panel1.Visible = true;
        //////////////////////保存试卷的信息////////////////////////////
        Paper paper = new Paper();
        paper.CourseId = CourseManager.GetCourseByString(this.ddlCourse.SelectedItem.Text.ToString());
        paper.PaperName = this.txtPaperName.Text.Trim();
        paper.LimitTime = int.Parse(this.txtLimitTime.Text.Trim());
        paper.PaperState = false;
        PaperManager.insertPaper(paper);
        ///////////////////////////////////////////////////////////////

       
        
    }
    /// <summary>
    /// 保存试题
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Button2_Click(object sender, EventArgs e)
    {
        Paper paper = new Paper();
        //paper.CourseId = CourseManager.GetCourseById(int.Parse(this.ddlCourse.SelectedItem.Value));
        //paper.PaperName = this.txtPaperName.Text.Trim();
        //paper.LimitTime = int.Parse(this.txtLimitTime.Text.Trim());
        //paper.PaperState = false;
        //PaperManager.insertPaper(paper);
        //////////////////获取PaperID////////////////////
        paper = PaperManager.GetPaperByName(this.txtPaperName.Text.Trim());
        afterID = paper.PaperId;
        ////////////////////////////////////////////////
        if (afterID > 0)
        {
            //添加单选题
            foreach( GridViewRow dr in gvSingle.Rows)
            {
                Label lblID = dr.FindControl("ldlSingleID") as Label;
                PaperDetail paperDetail = new PaperDetail();
                paperDetail.PaperID = PaperManager.GetPaperById(afterID);
                paperDetail.Type = "单选题";
                paperDetail.TitleID = int.Parse(lblID.Text.ToString());
                paperDetail.Mark = int.Parse(this.txtSingleFen.Text.Trim());
                PaperDetailManager.insertPaperDetail(paperDetail);
  
            }
            //添加多选题
            foreach (GridViewRow dr in gvMulti.Rows)
            {
                Label lblID = dr.FindControl("lblMultiProblemID") as Label;

                PaperDetail paperDetail = new PaperDetail();
                paperDetail.PaperID = PaperManager.GetPaperById(afterID);
                paperDetail.Type = "多选题";
                paperDetail.TitleID = int.Parse(lblID.Text.ToString());
                paperDetail.Mark = int.Parse(this.txtMultiFen.Text.Trim());
                PaperDetailManager.insertPaperDetail(paperDetail);
            }
            //添加判断题
            foreach (GridViewRow dr in gvJudge.Rows)
            {
                Label lblID = dr.FindControl("lblJudgeID") as Label;
                PaperDetail paperDetail = new PaperDetail();
                paperDetail.PaperID = PaperManager.GetPaperById(afterID);
                paperDetail.Type = "判断题";
                paperDetail.TitleID = int.Parse(lblID.Text.ToString());
                paperDetail.Mark = int.Parse(this.txtJudgeFen.Text.Trim());
                PaperDetailManager.insertPaperDetail(paperDetail);
            }
            //添加填空题
            foreach (GridViewRow dr in gvFillBlank.Rows)
            {
                Label lblID = dr.FindControl("lblFillBlankID") as Label;
                PaperDetail paperDetail = new PaperDetail();
                paperDetail.PaperID = PaperManager.GetPaperById(afterID);
                paperDetail.Type = "填空题";
                paperDetail.TitleID = int.Parse(lblID.Text.ToString());
                paperDetail.Mark = int.Parse(this.txtFillFen.Text.Trim());
                PaperDetailManager.insertPaperDetail(paperDetail);
            }
            //添加简答题
            foreach (GridViewRow dr in gvMulti.Rows)
            {
                Label lblID = dr.FindControl("lblMultiProblemID") as Label;
                PaperDetail paperDetail = new PaperDetail();
                paperDetail.PaperID = PaperManager.GetPaperById(afterID);
                paperDetail.Type = "简答题";
                paperDetail.TitleID = int.Parse(lblID.Text.ToString());
                paperDetail.Mark = int.Parse(this.TextBox3.Text.Trim());
                PaperDetailManager.insertPaperDetail(paperDetail);
            }

            this.Page.ClientScript.RegisterStartupScript(this.GetType(), "", "<script>alert('插入成功!');</script>");
        }
    }
    protected void txtPaperName_TextChanged(object sender, EventArgs e)
    {
        
        Paper paper = new Paper();
        paper=PaperManager.GetPaperByName(this.txtPaperName.Text.Trim());
        if (paper != null)
        {
            this.Page.ClientScript.RegisterStartupScript(this.GetType(), "", "<script>alert('试卷名称重复，请重新输入!');</script>");
            return;
        }
        //
        //foreach (DataRow row in dt.Rows)
        //{
        //    if (row[0].Equals(this.txtPaperName))
        //    {
        //        this.Page.ClientScript.RegisterStartupScript(this.GetType(), "", "<script>alert('已使用的试卷名，请重新输入!');</script>");
        //    }
 
        //}
    }
   
}
