﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ExamModel.Auto_Generated_Code;
using ExamBLL.Auto_Generated_Code;

public partial class Admin_admin_ScoreList : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            btnDel.Attributes.Add("OnClick", "javascript:return confirm('确实要删除这些用户吗？')");
           // InitData();  //绑定用户信息        
        }
    }
    //初始化成绩表格
    protected void InitData()
    {
        Score score = new Score();        //创建Scores对象       
        DataSet ds = ScoreManager.QueryScore();     //调用QueryScore方法查询成绩并将查询结果放到DataSet数据集中
        GridView1.DataSource = ds;          //为GridView控件指名数据源        
        GridView1.DataBind();               //绑定数据
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        
    }
    protected void btnDel_Click(object sender, EventArgs e)
    {
        foreach (GridViewRow dr in GridView1.Rows)//对GridView中的每一行进行判断
        {
            if (((CheckBox)dr.FindControl("xuanze")).Checked)
            {
                int ScoreId = int.Parse(((Label)dr.FindControl("Label6")).Text);
                ScoreManager.DelScoreById(ScoreId);
                
            }
        }
        Response.Redirect("~/Admin/admin_ScoreList.aspx");
    }
}
