﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using ExamModel.Auto_Generated_Code;
using ExamBLL.Auto_Generated_Code;
public partial class Admin_TestFinsish : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        int paperId;
        if (!IsPostBack)
        {
            try
            {
                User user = (User)Session["user"];
                if (user != null)
                {
                    paperId = Convert.ToInt32(Session["PaperID"].ToString());
                    //paperId = 10;
                    Paper paper = PaperManager.GetPaperById(paperId);
                    
                    this.lblUserId.Text = user.UID.ToString();
                    this.lblCourse.Text = paper.CourseId.CName;
                    this.lblPaperName.Text = paper.PaperName.ToString();
                    this.lblRate.Text = Session["rate"].ToString();
                    this.lblScore.Text = Session["Mark"].ToString();
                }
                else
                {
                    Response.Redirect("~/Login.aspx");//转向考试界面
                }
            }
            catch
            {
                paperId = -1;

            }
            
        }
    }
    protected void btSeeAnswer_Click(object sender, EventArgs e)
    {
        Response.Redirect("TestAnswer.aspx");
    }
    protected void btReturn_Click(object sender, EventArgs e)
    {
        Response.Redirect("TestFinish.aspx");//首页的路径
    }
}
