﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
using ExamDAL.Auto_Generated_Code;
using ExamModel.Auto_Generated_Code;

namespace ExamBLL.Auto_Generated_Code
{
    public static class MakePaperManager
    {
        /// <summary>
        /// 单选
        /// </summary>
        /// <param name="sNum"></param>
        /// <param name="courseID"></param>
        /// <returns></returns>
        public static IList<SingleProblem> GetSingleProblesByRang(string sNum, string courseID)
        {
            return MakePaperService.GetSingleProblesByRang(sNum, courseID);

        }
        /// <summary>
        /// 多选
        /// </summary>
        /// <param name="mNum"></param>
        /// <param name="courseID"></param>
        /// <returns></returns>
        public static IList<MultiProblem> GetMultiProblemByRange(string mNum, string courseID)
        {
            return MakePaperService.GetMultiProblesByRang(mNum, courseID);
        }
        /// <summary>
        /// 判断
        /// </summary>
        /// <param name="mNum"></param>
        /// <param name="courseID"></param>
        /// <returns></returns>
        public static IList<JudgeProblem> GetJudgeProblemByRange(string jNum, string courseID)
        {
            return MakePaperService.GetJudgeProblesByRang(jNum, courseID);
        }

        /// <summary>
        /// 填空
        /// </summary>
        /// <param name="mNum"></param>
        /// <param name="courseID"></param>
        /// <returns></returns>
        public static IList<FillBlankProblem> GetFillBlankProblemByRange(string fNum, string courseID)
        {
            return MakePaperService.GetFillBlankProblesByRang(fNum, courseID);
        }

        /// <summary>
        /// 简答
        /// </summary>
        /// <param name="mNum"></param>
        /// <param name="courseID"></param>
        /// <returns></returns>
        public static IList<Jianda> GetJiandaByRange(string dNum, string courseID)
        {
            return MakePaperService.GetJiandaProblesByRang(dNum, courseID);
        }
        

    }
}
