﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using ExamDAL.Auto_Generated_Code;
using ExamModel.Auto_Generated_Code;

namespace ExamBLL.Auto_Generated_Code
{
    public static class PaperManager
    {
        public static int insertPaper(Paper paper)
        {
            return PaperService.AddPaper(paper);

        }
        
        public static Paper GetPaperById(int id)
        {
            return PaperService.GetPaperById(id);
        }

        public static Paper GetPaperByName(string Name)
        {
            return PaperService.GetPaperByName(Name);

        }

        public static IList<Paper> GetAllPaper()
        {
            return PaperService.GetAllPapers();
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public static DataTable GetAllPaperName()
        {
            return PaperService.GetAllPaper();
        }

        //public static void UpDatePaper(int PaperId,string PaperName,int LimitTime,bool PaperState)
        //{
           
        //    Paper paper = PaperService.GetPaperById(PaperId);
        //    paper.PaperName = PaperName;
        //    paper.LimitTime = LimitTime;
        //    paper.PaperState = PaperState;
        //    PaperService.ModifyPaper(paper);
        //}


        public static void ModifyPaper(int PaperId, int CourseId, string PaperName, int LimitTime, bool PaperState)
        {
            Paper paper = PaperService.GetPaperById(PaperId);
            paper.CourseId = CourseService.GetCourseById(CourseId);
            paper.PaperName = PaperName;
            paper.LimitTime = LimitTime;
            paper.PaperState = PaperState;
            PaperService.ModifyPaper(paper);
        }
        public static void DeletePaper(int PaperId)
        {
            PaperService.DeletePaperById(PaperId);
        }
        //获得所有可用试卷
        public static DataSet GetUsePaper(bool b)
        {
            return PaperService.GetUsePaper(b);
        }
    }
}
