using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
using ExamModel.Auto_Generated_Code;
namespace ExamDAL.Auto_Generated_Code
{
   public static class DepartmentService
    {
       //ȡϵб
       public static DataSet GetDepartmentList()
       {
           string sql = "select * from Department";
           return DBHelp.GetDataSet(sql);
       }


       //˷ӿĿʱصDepartment
       public static Department GetDepartmentById(int id)
       {
           string sql = "select * from Department where DepartmentID=@id";
           try
           {
               OleDbDataReader reader = DBHelp.GetReader(sql, new OleDbParameter("@id", id));
               if (reader.Read())
               {
                   Department department = new Department();
                   department.DepartmentID = (int)reader["DepartmentID"];
                   department.DepartmentName = (string)reader["DepartmentName"];
                   reader.Close();
                   return department;
               }
               else
               {
                   reader.Close();
                   return null;

               }
           }
           catch (Exception e)
           {
               Console.WriteLine(e.Message);
               return null;
           }
       }
      //ϵ
       public static IList<Department> GetAllDepartment()
       {
           string sql = "select * from Department";
           return GetDepartmentBySql(sql);
       }
       //sql䷽
       public static IList<Department> GetDepartmentBySql(string safeSql)
       {
           List<Department> list = new List<Department>();
           using (DataSet table = DBHelp.GetDataSet(safeSql))
           {
               foreach (DataRow row in table.Tables[0].Rows)
               {
                   Department dep = new Department();
                   dep.DepartmentID = (int)row["DepartmentID"];
                   dep.DepartmentName = (string)row["DepartmentName"];
                   list.Add(dep);
                   
               }
               return list;

           }
       }

      
    }
}
