using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
using ExamModel.Auto_Generated_Code;

namespace ExamDAL.Auto_Generated_Code
{
    public class JudgeProblemServices
    {
        //ӵѡ
        public static int AddJudgeProblem(JudgeProblem judPro)
        {
            string sql = "insert into JudgeProblem (CourseID,Title,Answer)" +
                       "values(@courseId,@title,@answer)";
            try
            {
                OleDbParameter[] pare = new OleDbParameter[]
                {
                    new OleDbParameter("@courseId",judPro.JCourse.CID),//FK
                    new OleDbParameter("@title",judPro.JTitle),
                    new OleDbParameter("@answer",judPro.JAnswer)
                };
                return DBHelp.ExecuteCommand(sql, pare);
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }

        }

        //µѡ
        public static bool UpdateJudgeProblem(JudgeProblem judPro)
        {
            try
            {
                string sql1 = "update JudgeProblem set CourseID=" + judPro.JCourse.CID + ",Title='" + judPro.JTitle +  "',Answer=" + judPro.JAnswer + " where JudgeProblemID=" + judPro.JudgeProblemID;
                DBHelp.ExecuteCommand(sql1);
                return true;
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }

        }

        //ͨIDɾ
        public static bool DeleteJudgeById(int judProid)
        {
            try
            {
                string sql = "Delete from JudgeProblem where JudgeProblemID=" + judProid;
                DBHelp.ExecuteCommand(sql);
                return true;
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }

        }
        //ͨIDȵеж
        public static DataTable GetAllJudgeProblemId(string id)
        {
            string OleDb = "select JudgeProblemID from JudgeProblem where CourseID=" + id.ToString();
            DataSet ds = DBHelp.GetDataSet(OleDb);
            return ds.Tables[0];
        }

        //жĿ
        public static IList<JudgeProblem> GetJudgeProblemByOleDb(string values, string id)
        {
            List<JudgeProblem> list = new List<JudgeProblem>();
            string oleDb = "select * from JudgeProblem where JudgeProblemID in (" + values + ") and CourseID=" + id.ToString();
            using (DataSet ds = DBHelp.GetDataSet(oleDb))
            {
                foreach (DataRow row in ds.Tables[0].Rows)
                {
                    JudgeProblem judgeProblem = new JudgeProblem();
                    judgeProblem.JudgeProblemID = (int)row["JudgeProblemID"];
                    judgeProblem.JCourse = CourseService.GetCourseById((int)row["CourseID"]);
                    judgeProblem.JTitle = (string)row["Title"];
                    judgeProblem.JAnswer = (bool)row["Answer"];
                    list.Add(judgeProblem);
                }
                return list;
            }
        }

        //ͨĿѯѡĿ
        public static DataSet GetJudgeproByCourseName(Course course)
        {
            string sql = "select * from JudgeProblem where CourseID=" + course.CID;
            return DBHelp.GetDataSet(sql);

        }
        //ͨIDÿĿ
        public static JudgeProblem GetJudgeproblemById(int judId)
        {
            string sql = "select * from JudgeProblem where JudgeProblemID=" + judId;

            int courseId;
            try
            {
                OleDbDataReader reader = DBHelp.GetReader(sql);
                if (reader.Read())
                {
                    JudgeProblem judPro = new JudgeProblem();
                    judPro.JudgeProblemID = (int)reader["JudgeProblemID"];
                    judPro.JTitle = (string)reader["Title"];
                    judPro.JAnswer = (bool)reader["Answer"];
                    courseId = (int)reader["CourseID"];//FK
                    reader.Close();
                    judPro.JCourse = CourseService.GetCourseById(courseId);
                    return judPro;

                }
                else
                {
                    reader.Close();
                    return null;
                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }
        }
    }
}
