using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.OleDb;
using ExamModel.Auto_Generated_Code;


namespace ExamDAL.Auto_Generated_Code
{
    public class SingleProblemService
    {
        //ӵѡ
        public static int AddSingleProblem(SingleProblem singPro)
        {
            string sql = "insert into SingleProblem (CourseID,Title,AnswerA,AnswerB,AnswerC,AnswerD,Answer)" +
                       "values(@courseId,@title,@answerA,@answerB,@answerC,@answerD,@answer)";
            try
            {
                OleDbParameter[] pare = new OleDbParameter[]
                {
                    new OleDbParameter("@courseId",singPro.SCourse.CID),//FK
                    new OleDbParameter("@title",singPro.STitle),
                    new OleDbParameter("@answerA",singPro.SanswerA),
                    new OleDbParameter("@answerB",singPro.SanswerB),
                    new OleDbParameter("@answerC",singPro.SanswerC),
                    new OleDbParameter("@answerD",singPro.SanswerD),
                    new OleDbParameter("@answer",singPro.Sanswer)
                };
                return DBHelp.ExecuteCommand(sql, pare);
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }

        }
        //µѡ
        public static bool UpdateSingleProblem(SingleProblem singPro)
        {
            try
            {
                string sql1 = "update SingleProblem set CourseID=" + singPro.SCourse.CID + ",Title='" + singPro.STitle + "',AnswerA='" + singPro.SanswerA + "',AnswerB='" + singPro.SanswerB + "',AnswerC='" + singPro.SanswerC + "',AnswerD='" + singPro.SanswerD + "',Answer='" + singPro.Sanswer + "' where SingleProblemID=" + singPro.SsingleProblemID;
                DBHelp.ExecuteCommand(sql1);
                return true;
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }

        }
        /// <summary>
        /// õҪĵѡϢ
        /// </summary>
        /// <param name="values">ҪѯеѡID</param>
        /// <param name="id">γ̵ı</param>
        /// <returns>ҪĵѡϢ</returns>
        public static IList<SingleProblem> GetSingleProblemByOleDb(string values, string id)
        {
            List<SingleProblem> list = new List<SingleProblem>();
            string oleDb = "select * from SingleProblem where SingleProblemID in (" + values + ") and CourseID=" + id;
            using (DataSet ds = DBHelp.GetDataSet(oleDb))
            {
                foreach (DataRow row in ds.Tables[0].Rows)
                {
                    SingleProblem singleProble = new SingleProblem();
                    singleProble.SsingleProblemID = (int)row["SingleProblemID"];
                    singleProble.SCourse = CourseService.GetCourseById((int)row["CourseID"]);//
                    singleProble.STitle = (string)row["Title"];
                    singleProble.SanswerA = (string)row["AnswerA"];
                    singleProble.SanswerB = (string)row["AnswerB"];
                    singleProble.SanswerC = (string)row["AnswerC"];
                    singleProble.SanswerD = (string)row["AnswerD"];
                    singleProble.Sanswer = (string)row["Answer"];
                    list.Add(singleProble);
                }
                return list;
            }
        }
        /// <summary>
        /// ѯҪĵѡId
        /// </summary>
        /// <param name="id">ҪѯĿγ̱</param>
        /// <returns>ѡγ̵ȫѡĿID</returns>
        public static DataTable GetAllSingleProblemId(string id)
        {
            string OleDb = "select SingleProblemID from SingleProblem where CourseID=" + id.ToString();
            DataSet ds = DBHelp.GetDataSet(OleDb);
            return ds.Tables[0];
        }
        //ͨIDɾ
        public static bool DeleteSingleById(int singProid)
        {
            try
            {
                string sql = "Delete from SingleProblem where SingleProblemID=" + singProid;
                DBHelp.ExecuteCommand(sql);
                return true;
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }

        }



        //ͨĿѯѡĿ
        public static DataSet GetSingproByCourseName(Course course)
        {
            string sql = "select * from SingleProblem where CourseID="+course.CID;
            return DBHelp.GetDataSet(sql);

        }
        //ͨIDÿĿ
        public static SingleProblem GetSingleproblemById(int singId)
        {
            string sql = "select * from SingleProblem where SingleProblemID=" + singId;

            int courseId;
            try
            {
                OleDbDataReader reader = DBHelp.GetReader(sql);
                if (reader.Read())
                {
                    SingleProblem singPro = new SingleProblem();
                    singPro.SsingleProblemID = (int)reader["SingleProblemID"];
                    singPro.STitle = (string)reader["Title"];
                    singPro.SanswerA = (string)reader["AnswerA"];
                    singPro.SanswerB = (string)reader["AnswerB"];
                    singPro.SanswerC = (string)reader["AnswerC"];
                    singPro.SanswerD = (string)reader["AnswerD"];
                    singPro.Sanswer = (string)reader["Answer"];
                    courseId = (int)reader["CourseID"]; //FK
                    reader.Close();

                    singPro.SCourse = CourseService.GetCourseById(courseId);

                    return singPro;

                }
                else
                {
                    reader.Close();
                    return null;
                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
                throw e;
            }
        }



    }
}
