﻿<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" AutoEventWireup="true" CodeFile="admin_PaperLists.aspx.cs" Inherits="Admin_admin_PaperLists" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID ="cid" runat="server"> 
    <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False"
        DataSourceID="ObjectDataSource1" Height="354px" Width="544px" OnRowUpdating="GridView1_RowUpdating" OnDataBound="GridView1_DataBound" OnRowEditing="GridView1_RowEditing" DataKeyNames="PaperId">
        <Columns>
            <asp:TemplateField HeaderText="试卷ID" SortExpression="PaperId">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("PaperId") %>' ReadOnly="True"></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label1" runat="server" Text='<%# Bind("PaperId") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="课程名称" SortExpression="CourseId">
                <EditItemTemplate>
                    <asp:HiddenField ID="hfCourse" runat="server" Value='<%# Eval("CourseId.CID") %>' />
                    <br />
                    <asp:DropDownList ID="ddlCourse" runat="server" DataSourceID="ObjectDataCourse" DataTextField="CName"
                        DataValueField="CID" Height="25px" Width="133px">
                    </asp:DropDownList><asp:ObjectDataSource ID="ObjectDataCourse" runat="server" SelectMethod="GetAllCourse"
                        TypeName="ExamBLL.Auto_Generated_Code.CourseManager"></asp:ObjectDataSource>
                    &nbsp;<br />
                    &nbsp;
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label4" runat="server" Text='<%# Eval("CourseId.CName") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="试卷名称" SortExpression="PaperName">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("PaperName") %>'></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label2" runat="server" Text='<%# Bind("PaperName") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="考试时间" SortExpression="LimitTime">
                <EditItemTemplate>
                    <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("LimitTime") %>'></asp:TextBox>
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:Label ID="Label3" runat="server" Text='<%# Bind("LimitTime") %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="试卷状态" SortExpression="PaperState">
                <EditItemTemplate>
                    <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("PaperState") %>' />
                </EditItemTemplate>
                <ItemTemplate>
                    <asp:CheckBox ID="CheckBox1" runat="server" Checked='<%# Bind("PaperState") %>' Enabled="false" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:HyperLinkField DataNavigateUrlFields="PaperId" DataNavigateUrlFormatString="admin_PaperDetail.aspx?PaperId={0}"
                HeaderText="详细" Text="详细" />
            <asp:CommandField HeaderText="编辑" ShowEditButton="True" />
            <asp:CommandField HeaderText="删除" ShowDeleteButton="True" />
        </Columns>
    </asp:GridView>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" SelectMethod="GetAllPaper"
        TypeName="ExamBLL.Auto_Generated_Code.PaperManager"  DeleteMethod="DeletePaper" UpdateMethod="ModifyPaper">
        <UpdateParameters>
            <asp:Parameter Name="PaperId" Type="Int32" />
            <asp:Parameter Name="CourseId" Type="Int32" />
            <asp:Parameter Name="PaperName" Type="String" />
            <asp:Parameter Name="LimitTime" Type="Int32" />
            <asp:Parameter Name="PaperState" Type="Boolean" />
        </UpdateParameters>
        <DeleteParameters>
            <asp:Parameter Name="PaperId" Type="Int32" />
        </DeleteParameters>
        
    </asp:ObjectDataSource>


</asp:Content>